### Method

# Gtk IconViewselected_foreach

deprecated: 4.10

#### Declaration [src]

    void
    gtk_icon_view_selected_foreach (
      GtkIconView* icon_view,
      GtkIconViewForeachFunc func,
      gpointer data
    )

#### Description [src]

Calls a function for each selected icon. Note that the model or selection cannot be modified from within this function.

Deprecated since: 4.10

Use `GtkGridView` instead.

#### Parameters

`func`

  Type: `GtkIconViewForeachFunc`

  The function to call for each selected icon.

`data`

  Type: `gpointer`

  User data to pass to the function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.